import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  A versioned model that can be deployed for SageMaker inference.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-sagemaker-modelpackage.html">the AWS Docs</a>
*/
export function modelPackage(modelPackageProps = {}) {
    return new AwsResource('AWS::SageMaker::ModelPackage', modelPackageProps, { ModelPackageStatus: 'ModelPackageStatus', CreationTime: 'CreationTime', ModelPackageArn: 'ModelPackageArn' });
}
